眞柄です

   "[FreeBSD-users-jp 92068] Re: PHP とlibxml2 の関係 " において、
   "Hirohito <m...@youko-house.ne.jp>"さんは書きました:

>ひろひとです。

お返事ありがとうございます。

>> % ldd /usr/local/bin/php
>こちらは、コマンドライン版ではないですか?
>apache httpd とリンクしているのは、libphp5.so の方だと思います。

はい。ですが libphp5.so では ldd コマンドが効かないので
ports option で指定(デフォルト)のCLI(CGI?)版で見てみました。
あくまでも参考です。

>あるいは、アップグレード後apache をリスタートしていないとか。

ありがちですが(^^;)今回は大丈夫です。
んで、またまた参考までに

#!/usr/local/bin/php
<?php
    phpinfo();
?>

と、コマンドライン版でも試してみたら

% ./test.php | grep xml
Configure Command =>  './configure'  '--with-layout=GNU' 
'--with-config-file-scan-dir=/usr/local/etc/php' '--
disable-all' '--enable-libxml' '--with-libxml-dir=/usr/local' 
'--with-pcre-regex=yes' '--enable-reflection' '-
-program-prefix=' '--enable-force-cgi-redirect' '--enable-discard-path' 
'--enable-fastcgi' '--with-apxs2=/usr/
local/sbin/apxs' '--with-regex=php' '--with-zend-vm=CALL' 
'--enable-zend-multibyte' '--disable-ipv6' '--prefix
=/usr/local' '--mandir=/usr/local/man' '--infodir=/usr/local/info/' 
'--build=i386-portbld-freebsd6.3'
xmlrpc_error_number => 0 => 0
xmlrpc_errors => Off => Off
libxml Version => 2.6.32
libxml
Simplexml support => enabled
xml
libxml2 Version => 2.6.32
xmlreader
xmlrpc
core library version => xmlrpc-epi v. 0.51
homepage => http://xmlrpc-epi.sourceforge.net
xmlwriter

と、やはり 2.6.32 と表示されました。
ldd の表示がナゾですよね。

>apacheとphpは独自ビルドで、その他はportsで入れています。

独自ビルドがキモなのでしょうか??

メールによる返信